## Updates the Zero Trust Connectivity Settings `client.zeroTrust.connectivitySettings.edit(ConnectivitySettingEditParamsparams, RequestOptionsoptions?): ConnectivitySettingEditResponse` **patch** `/accounts/{account_id}/zerotrust/connectivity_settings` Updates the Zero Trust Connectivity Settings for the given account. ### Parameters - `params: ConnectivitySettingEditParams` - `account_id: string` Path param: Cloudflare account ID - `icmp_proxy_enabled?: boolean` Body param: A flag to enable the ICMP proxy for the account network. - `offramp_warp_enabled?: boolean` Body param: A flag to enable WARP to WARP traffic. ### Returns - `ConnectivitySettingEditResponse` - `icmp_proxy_enabled?: boolean` A flag to enable the ICMP proxy for the account network. - `offramp_warp_enabled?: boolean` A flag to enable WARP to WARP traffic. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const response = await client.zeroTrust.connectivitySettings.edit({ account_id: '699d98642c564d2e855e9661899b7252', }); console.log(response.icmp_proxy_enabled); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "icmp_proxy_enabled": true, "offramp_warp_enabled": true }, "success": true } ```